/******************************/
/*  START :: Images & Videos  */
/******************************/

/*****************************/
/*  START :: General Images  */
/*****************************/
.fl-post .fullheight img {
    max-height: 760px;
    height: 77vw;
    object-fit: cover;
}
.fl-post .largeheight img {
    max-height: 590px;
    height: 50vw;
    object-fit: cover;
}
.fl-post .mediumheight img {
    height: 40vw;
    max-height: 460px;
    object-fit: cover;
}
.fl-post .contain img {
    object-fit: contain;
}
.fl-post .fullheight img,
.fl-post .largeheight img,
.fl-post .mediumheight img,
.border-radius-img,
.border-radius-img img {
    border-radius: var(--border-radius-img);
}

.fl-post .bglefttop img {object-position:left top}
.fl-post .bgleftcenter img {object-position:left center;}
.fl-post .bgleftbottom img {object-position:left bottom;}
.fl-post .bgcentertop img {object-position:center top;}
.fl-post .bgcentercenter img {object-position:center center;}
.fl-post .bgcenterbottom img {object-position:center bottom;}
.fl-post .bgrighttop img {object-position:right top;}
.fl-post .bgrightcenter img {object-position:right center;}
.fl-post .bgrightbottom img {object-position:right bottom;}

/* TABLET, and down */
@media only screen and (max-width: 992px) {
    .fl-post .fullheight img{
        height: 70vw;
        max-height: 500px;
    }
    .fl-post .largeheight img{
        height: 70vw;
        max-height: 460px;
    }
    .fl-post .mediumheight img {
        height: 70vw;
        max-height: 360px;
    }
}
/* MOBILE, and down */
@media only screen and (max-width: 768px) {
    .fl-post .fullheight img{
        height: 80vw;
        max-height: 280px;
    }
    .fl-post .largeheight img{
        height: 80vw;
        max-height: 280px;
    }
    .fl-post .mediumheight img {
        height: 80vw;
        max-height: 280px;
    }
}
/*****************************/
/*  END   :: General Images  */
/*****************************/

/************************************/
/*  START :: Large Container Image  */
/************************************/
.column--over-image {
    position: relative;
}
.over-image--content {
    bottom: 0;
    position: absolute;
}
.fl-post .column--over-image .fullheight img {
    max-height: 700px;
}
.fl-module-modal-popup.button-branded.alt span {
    font-weight: 400;
    font-size: 20px;
    font-size: 1.25rem;
    line-height: normal;
    letter-spacing: 1px;
}
.fl-module-modal-popup.button-branded.alt .ua-icon-controller-play{
    font-size: 2.2em;
    margin: 0;
    line-height: 0;
}
.fl-module-modal-popup.button-branded.alt .ua-icon-controller-play:before {
    font-size: 1em;
    line-height: 0;
}

/************************************/
/*  START :: Large Container Image  */
/************************************/
.row--large-container-image .fl-photo-caption-below {
    padding: 0;
    margin-top: 26px;
}
/************************************/
/*  END   :: Large Container Image  */
/************************************/
/**************************************/
/*  START :: Video / Large Container  */
/**************************************/
/********************************/
/*  START :: Video play button  */
/********************************/
button#yt-play-button:before {
    transform: translate(0px,4px);
    content: "";
    width: 20px;
    height: 20px;
    background: url(/wp-content/uploads/button-play.svg) center center / contain no-repeat;
    margin-right: 5px;
    display: inline-block;
}
button#yt-pause-button:before {
    transform: translate(0px,4px);
    content: "";
    width: 20px;
    height: 20px;
    background: url(/wp-content/uploads/button-pause.svg) center center / contain no-repeat;
    margin-right: 5px;
    display: inline-block;
}
button#yt-play-button,
button#yt-pause-button {
    background: transparent;
    border: 0;
    color: white;
    font-family: var(--font-primary);
    font-size: 18px;
    font-size: 1.13rem;
    font-weight: 600;
    cursor: pointer;
    visibility: hidden;
    transform: scale(0);
    transition: all .2s ease;
    padding: 0px;
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 0;
}

button#yt-play-button.active,
button#yt-pause-button.active {
    visibility:visible;
    transform:scale(1);
}
.youtube_controls{
    position: absolute;
    z-index: 2;
    bottom: 20px;
    left: 40px;
    margin-left: 0;
    width: unset;
    width: 100%;
    height: 24px;
    left: unset;
    display: flex;
    margin: auto;
    flex-direction: column;
    align-items: center;
    bottom: 0px;
    position: relative;
}
button#yt-play-button, 
button#yt-pause-button{
    left:unset;
}

.large-video-row .fl-module-modal-popup {
    position: relative;
    inset: 0;
}
.large-video-row .uabb-button-wrap a  {
    border: 1px solid var(--teal);
}
.large-video-row .uabb-button-wrap a span {
    font-size: 20px;
    font-size: 1.25rem;
    font-weight: 400;
    letter-spacing: 1px;
}
.large-video-row .uabb-button-wrap a i:before {
    font-size: 36px;
}

/********************************/
/*  END   :: Video play button  */
/********************************/

body:not(.fl-builder-edit) .large-video-row{
    padding-top: var(--Sizing-Units-M);
    padding-bottom: var(--Sizing-Units-M);
    padding-left: var(--content-padding);
    padding-right: var(--content-padding);
    background-color: var(--Primary-Dark);
}
body:not(.fl-builder-edit) .large-video-row > .fl-row-content-wrap{
    border-radius: var(--border-radius-img);
    overflow: hidden;
    max-width: 1226px;
    margin:0 auto;
}
.uabb-modal-title-wrap {
    display: none;
}
@media screen and (max-width: 1366px) {
    body:not(.fl-builder-edit) .large-video-row{
        /* padding-top: 44px;
        padding-bottom: 44px;
        padding-left: 60px;
        padding-right: 60px; */
    }
}
@media only screen and (max-width: 992px) {
    body:not(.fl-builder-edit) .large-video-row{
        /* padding-top: 44px;
        padding-bottom: 26px;
        padding-left: 36px;
        padding-right: 36px; */
    }
}
@media only screen and (max-width: 768px) {
    body:not(.fl-builder-edit) .large-video-row{
        padding-top: 26px;
        padding-bottom: 26px;
    }
    button#yt-play-button,
    button#yt-pause-button {
        font-size: 0.88rem;
        font-size: 14px;
    }

    /* bug fix for chrome on mobile */
    .chrome .uabb-overlay {
        height: calc(100% + 40px);
    }
}
/**************************************/
/*  END   :: Video / Large Container  */
/**************************************/

